SDL_HINT_STORAGE_USER_DRIVER(3)

NAME
SDL_HINT_STORAGE_USER_DRIVER - A variable that specifies a backend to use for user storage.

HEADER FILE
Defined in SDL3/SDL_hints.h

SYNOPSIS
#include "SDL3/SDL.h"

#define SDL_HINT_STORAGE_USER_DRIVER SDL_STORAGE_USER_DRIVER"

DESCRIPTION
By default, SDL will try all available storage backends in a reasonable order until it finds one that can work, but this hint allows the app or user to force a specific target, such as "pc" if, say, you are on Steam but want to avoid SteamRemoteStorage for user data. This hint should be set before SDL is initialized.

AVAILABILITY
This hint is available since SDL 3.0.0.